Posted on 07-08-2009
Filed Under (技术) by waterlin

Xampp提供了一个在本地搭建LAMP服务器的便捷方法,而Magento则是电子商务开源软件中的新宠儿,我们没有理由不在Xampp里搭建一个Magento开发环境。

Magento在Windows XAMPP里的安装,比起Zen-cart之类的开源系统,稍微麻烦一些,服务器需要进行一些配置。另外,低版本Xampp里php的pdo_mysql库可能有bug,导致写入MySQL数据库时,浏览器会莫名其秒地死掉。在我的机器上,Xampp 1.7.0里,安装不成功,但是升级到Xampp 1.7.1后,安装就没有什么问题。如果你使用的是Xampp 1.7.0或更低版本,安装前请先升级Xampp到最新版本。安装之前也应该仔细阅读一下官方的安装文档

安装前可以下载magento-check.php脚本来测试一下服务器是否满足Magento的安装要求,测试会显示类似下面的结果:

Your server does not meet the following requirements in order to install Magento.
The following requirements failed, please contact your hosting provider in order to receive assistance with meeting the system requirements for Magento:
You need MySQL 4.1.20 (or greater)
The following requirements were successfully met:
You have PHP 5.2.0 (or greater)
Safe Mode is off
You have the curl extension
You have the dom extension
You have the gd extension
You have the hash extension
You have the iconv extension
You have the mcrypt extension
You have the pcre extension
You have the pdo extension
You have the pdo_mysql extension
You have the simplexml extension

第一个错误应该是那个测试脚本自身的问题,它有时候不能正确检测出MySQL的版本号,如果你确定你的MySQL高于此版本,则不用理会。

第二个错误可以通过修改php.ini文件解决,把

;extension=php_mcrypt.dll
;extension=php_curl.dll

改为

extension=php_mcrypt.dll
extension=php_curl.dll

即去掉注释行为的;号,从而启用curl模块。

注意:Xampp里有好几个php.ini文件,哪个才是正确的呢?路径/xampp/apache/bin/php.ini才是正确的那个!而/xampp/php目录里的php.ini文件只是在CGI/CLI模式时使用。所以,当你需要修改php的环境变量时,请配置/xampp/apache/bin/php.ini文件,并在修改后重新启动Apache服务。

一切都配置好后,新建一个数据库,根据Magento的提示进行安装,在写入数据库的时候比较费时间,请耐心等待。

© 2009, 浏忙大爆炸. All rights reserved.
除非注明,浏忙大爆炸文章均为原创,转载请以链接形式标明本文地址。

(1) Comment    (1,914) Views    Read More   

Comments

angellove0219 on 5 November, 2009 at 5:29 pm #

thanks

[Reply]


Post a Comment
Name:
Email:
Website:
Comments: